# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/MakeMaker.pm)
# END SourceDeps(oneline)
%define module_name Regexp-Compare
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.35
Release: alt1
Summary: partial ordering for regular expressions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/V/VB/VBAR/%{module_name}-%{version}.tar.gz

%description
This module implements a function comparing regular expressions: it
returns true if all strings matched by the first regexp are also
matched by the second. It's meant to be used for optimization of
blacklists implemented by regular expressions (like, for example,
`http://www.communitywiki.org/cw/BannedContent' ).

Both arguments of `is_less_or_equal' are strings - IOW the call

  $rv = is_less_or_equal($rx, /hardcoded/i);

probably won't do what you want - use

  $rv = is_less_or_equal($rx, '(?i:hardcoded)');

instead.

False return value does *not* imply that there's a string matched by
the first regexp which isn't matched by the second - many regular
expressions (i.e. those containing Perl code) are impossible to
compare, and this module doesn't even implement all possible
comparisons.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.35-alt1
- initial import by package builder

